%define gem_name daemons
Summary:             A toolkit to create and control daemons in different ways
Name:                rubygem-%{gem_name}
Version:             1.4.1
Release:             1
License:             MIT and (GPLv2+ or Ruby)
URL:                 https://rubygems.org/gems/daemons
Source0:             https://rubygems.org/downloads/%{gem_name}-%{version}.gem
Requires:            ruby(rubygems) ruby(release)
BuildRequires:       rubygems-devel
BuildArch:           noarch
Provides:            rubygem(%{gem_name}) = %{version}
%description
Daemons provides an easy way to wrap existing ruby scripts (for example a
self-written server)  to be run as a daemon and to be controlled by simple
start/stop/restart commands.  You can also call blocks as daemons and control
them from the parent or just daemonize the current process.  Besides this
basic functionality, daemons offers many advanced features like exception
backtracing and logging (in case your ruby script crashes) and monitoring and
automatic restarting of your processes if they crash.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}

%prep
%setup -q -c  -T
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%{gem_instdir}/examples/
%{gem_libdir}/
%doc %{gem_instdir}/LICENSE
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/Releases

%changelog
* Tue Jun 28 2022 baizhonggui <baizhonggui@h-partners.com> - 1.4.1-1
- update to 1.4.1

* Fri Aug 21 2020 fanjiachen <fanjiachen3@huawei.com> - 1.1.9-1
- package init
